Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 199138 - SIGABRT in sys-libs/pam-0.99.8.1-r1 (double free or corruption) during xlock (x11-misc/xlockmore-5.23-r1) work
Summary: SIGABRT in sys-libs/pam-0.99.8.1-r1 (double free or corruption) during xlock ...
Status: RESOLVED TEST-REQUEST
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Library (show other bugs)
Hardware: AMD64 Linux
: High normal (vote)
Assignee: Desktop Misc. Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-11-14 11:53 UTC by Andrey Prikazov
Modified: 2010-06-06 11:41 UTC (History)
4 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
(gdb) bt (short-bt,1.12 KB, text/plain)
2007-11-14 11:55 UTC, Andrey Prikazov
Details
(gdb) bt full (full-bt,2.09 KB, text/plain)
2007-11-14 11:56 UTC, Andrey Prikazov
Details
emerge --info (emerge--info,3.42 KB, text/plain)
2007-11-14 11:57 UTC, Andrey Prikazov
Details
emerge --info (emerge--info,3.72 KB, text/plain)
2007-12-14 11:10 UTC, Florian Petran
Details
Output of xlock to console upon crashing (xlock-output,14.56 KB, text/plain)
2007-12-14 11:12 UTC, Florian Petran
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andrey Prikazov 2007-11-14 11:53:45 UTC
xlock crashes. See the gdb backtraces in the following attaches.

Reproducible: Always

Steps to Reproduce:
Just run xlock and when you are asked about password -- press enter twice.
Comment 1 Andrey Prikazov 2007-11-14 11:55:12 UTC
Created attachment 135955 [details]
(gdb) bt
Comment 2 Andrey Prikazov 2007-11-14 11:56:25 UTC
Created attachment 135956 [details]
(gdb) bt full
Comment 3 Andrey Prikazov 2007-11-14 11:57:25 UTC
Created attachment 135957 [details]
emerge --info
Comment 4 Jakub Moc (RETIRED) gentoo-dev 2007-11-14 12:04:49 UTC
Can't reproduce at all; also the backtrace is not really that much useful.

http://www.gentoo.org/proj/en/qa/backtraces.xml
Comment 5 Andrey Prikazov 2007-11-14 12:12:50 UTC
I have read the link before the bug posting, and have included -ggdb in CFLAGS and splitdebug in FEATURES. That didn't create symbols for xlock itself however, but I don't think _they_ (xlock's symbols) are much useful.

Which part of the backtrace is bad? If xlock's, I'll try to create symbols for it and repost here if succeed.
Comment 6 Florian Petran 2007-12-14 11:10:30 UTC
Why is this bug marked resolved? I can confirm the exact same behaviour. See below/attachments for emerge --info and the console output of xlock upon crashing if started from an xterm.
Comment 7 Florian Petran 2007-12-14 11:10:51 UTC
Created attachment 138447 [details]
emerge --info
Comment 8 Florian Petran 2007-12-14 11:12:10 UTC
Created attachment 138451 [details]
Output of xlock to console upon crashing
Comment 9 Andrey Prikazov 2007-12-14 11:27:59 UTC
reopened
Comment 10 Samuli Suominen gentoo-dev 2008-01-14 17:25:27 UTC
sys-fs/pam-0.99.9.0
x11-misc/xlockmore-5.25

Still a problem with current versions?
Comment 11 Florian Petran 2008-01-15 10:27:39 UTC
(In reply to comment #10)
> sys-fs/pam-0.99.9.0
> x11-misc/xlockmore-5.25
> 
> Still a problem with current versions?

Still the same behaviour with me.

Comment 12 Andrea Rizzolo 2008-02-22 17:24:00 UTC
I confirm this bug, with old and newer version. 
a small warkaround: export MALLOC_CHECK=0 before you run xlock
Comment 13 Andrea Rizzolo 2008-02-22 17:53:18 UTC
sorry, small typo
correct code is: export MALLOC_CHECK_=0
Comment 14 Philip L 2008-11-16 16:08:55 UTC
I experienced this bug after merging pambase with the 'ssh' USE flag, but it works without the flag.
Comment 15 A.C.Heron 2009-04-15 15:55:49 UTC
Try version 5.27: http://bugs.gentoo.org/show_bug.cgi?id=263317
Stopped crashing on UTF for me.
Comment 16 Samuli Suominen gentoo-dev 2010-06-06 11:41:32 UTC
It's been couple of years now :-/
Please try xlockmore-5.29.1 (and reopen if required).